LicentaSfranciog/Controllers/ClientiController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using LicentaSfranciog.Models;
using LicentaSfranciog.Data;
using Microsoft.CodeAnalysis;
using Microsoft.AspNetCore.Authorization;

namespace LicentaSfranciog.Controllers
{
    [Authorize]
    public class ClientiController : Controller
    {
        private readonly ApplicationDbContext _context;
        private readonly IDAL _idal;

        public ClientiController(IDAL idal)
        {
            _idal = idal;
        }

        // GET: Clienti
        public IActionResult Index()
        {
            if (TempData["Alert"] != null)
            {
                ViewData["Alert"] = TempData["Alert"];
            }
            return View(_idal.GetClients());
        }

        // GET: Clienti/Details/5
        public IActionResult Details(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var @client = _idal.GetClient((int)id);
            if (@client == null)
            {
                return NotFound();
            }

            return View(@client);
        }

        // GET: Clienti/Create
        public IActionResult Create()
        {
            return View();
        }

        // POST: Clienti/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,Tip,Nume,Prenume,CNPorCUI,Telefon,Adresa,Email")] Client client)
        {
            if (ModelState.IsValid)
            {
                try
                {
                    _idal.CreateClient(client);
                    TempData["Alert"] = "Succes! S-a creat clientul: " + client.Nume;
                    return RedirectToAction(nameof(Index));
                }
                catch (Exception ex)
                {
                    ViewData["Alert"] = "An error occurred: " + ex.Message;
                    return View(client);
                }
            }
            return View(client);
        }

        // GET: Clienti/Edit/5
        public IActionResult Edit(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var @client = _idal.GetClient((int)id);
            if (@client == null)
            {
                return NotFound();
            }
            return View(@client);
        }

        // POST: Clienti/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, IFormCollection form)
        {
            if (id != int.Parse(form["Id"]))
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    _idal.UpdateClient(form);
                    TempData["Alert"] = "Succes! S-au modificat datele pentru clientul: " + form["Nume"];
                    return RedirectToAction(nameof(Index));
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!ClientExists(int.Parse(form["Id"])))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction(nameof(Index));
            }
            return View(form);
        }

        // GET: Clienti/Delete/5
        public IActionResult Delete(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var @client = _idal.GetClient((int)id);
            if (@client == null)
            {
                return NotFound();
            }

            return View(@client);
        }

        // POST: Clienti/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            _idal.DeleteClient(id);
            TempData["Alert"] = "Succes! A fost sters un client!";
            return RedirectToAction(nameof(Index));
        }

        private bool ClientExists(int id)
        {
          return (_context.Client?.Any(e => e.Id == id)).GetValueOrDefault();
        }
    }
}

LicentaSfranciog/Controllers/ContactController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using LicentaSfranciog.Models;
using LicentaSfranciog.Data;

namespace LicentaSfranciog.Controllers
{
    public class ContactController : Controller
    {
       // private readonly ApplicationDbContext _context;
        private readonly IDAL _idal;

        public ContactController(IDAL idal)
        {
            _idal = idal;
        }

        // GET: Contact
        public IActionResult Index()
        {
            if (TempData["Alert"] != null)
            {
                ViewData["Alert"] = TempData["Alert"];
            }
            return View(_idal.GetContacte());
        }

        // GET: Contact/Details/5
        public IActionResult Details(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var contact = _idal.GetContact((int)id);
            if (contact == null)
            {
                return NotFound();
            }

            return View(contact);
        }

        // GET: Contact/Create
        public IActionResult Create()
        {
            return View();
        }

        // POST: Contact/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,Nume,Telefon,Email,Mesaj")] Contact contact)
        {
            if (ModelState.IsValid)
            {
                try
                {
                    _idal.CreateContact(contact);
                    TempData["Alert"] = "Succes! " + contact.Nume+" mesajul tău a fost trimis! " ;
                    return RedirectToAction(nameof(Create));
                }
                catch (Exception ex)
                {
                    ViewData["Alert"] = "An error occurred: " + ex.Message;
                    return View(contact);
                }
            }
            return View(contact); ;
        }
       
        // GET: Contact/Delete/5
        public IActionResult Delete(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var contact = _idal.GetContact((int)id);
            if (contact == null)
            {
                return NotFound();
            }

            return View(contact);
        }

        // POST: Contact/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public IActionResult DeleteConfirmed(int id)
        {
            _idal.DeleteContact(id);
            TempData["Alert"] = "Succes! Mesaj sters!";
            return RedirectToAction(nameof(Index));
        }
        
    }
}

LicentaSfranciog/Controllers/ProceseController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using LicentaSfranciog.Models;
using LicentaSfranciog.Data;
using LicentaSfranciog.Models.ViewModels;
using Microsoft.AspNetCore.Authorization;

namespace LicentaSfranciog.Controllers
{
    [Authorize]
    public class ProceseController : Controller
    {        
        private readonly IDAL _idal;

        public ProceseController(IDAL dal)
        {
            _idal = dal;
        }

        // GET: Procese
        public IActionResult Index(string searchString)
        {
            var model = _idal.GetProcese().ToList();
            if (TempData["Alert"] != null)
            {
                ViewData["Alert"] = TempData["Alert"];
            }
            if (!string.IsNullOrEmpty(searchString))
            {
                // Aplică filtrarea în funcție de necesități
                model = model.Where(p => p.Nume.IndexOf(searchString, StringComparison.OrdinalIgnoreCase) >= 0 || p.Partile.IndexOf(searchString, StringComparison.OrdinalIgnoreCase) >= 0).ToList();
            }

            return View(model);
        }

        // GET: Procese/Details/5
        public IActionResult Details(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var @proces = _idal.GetProces((int)id);
            if (@proces == null)
            {
                return NotFound();
            }

            return View(@proces);
        }

        // GET: Procese/Create
        public IActionResult Create()
        {
            return View(new ProcesViewModel(_idal.GetClients()));
        }

        // POST: Procese/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create(ProcesViewModel viewModel,IFormCollection form)
        {
            try
            {
                _idal.CreateProces(form);
                TempData["Alert"] = "Succes! Proces introdus: " + form["Proces.Nume"];
                return RedirectToAction("Index");
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred" + ex.Message;
                return View(viewModel);
            }
        }

        // GET: Procese/Edit/5
        public IActionResult Edit(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }

            var @proces = _idal.GetProces((int)id);
            if (@proces == null)
            {
                return NotFound();
            }
            var vm = new ProcesViewModel(@proces,_idal.GetClients());
            return View(vm);
        }

        // POST: Procese/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, IFormCollection form)
        {
            try
            {
                _idal.UpdateProces(form);
                TempData["Alert"] = "Succes! S-au modificat datele pentru procesul: " + form["Proces.Nume"];
                return RedirectToAction(nameof(Index));
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred: " + ex.Message;
                var vm = new ProcesViewModel(_idal.GetProces(id), _idal.GetClients());
                return View(vm);
            }
        }

        // GET: Procese/Delete/5
        public IActionResult Delete(int? id)
        {
            if (id == null )
            {
                return NotFound();
            }
            var @proces = _idal.GetProces((int)id);
            if (@proces == null)
            {
                return NotFound();
            }
            return View(@proces);
        }

        // POST: Procese/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public IActionResult DeleteConfirmed(int id)
        {
            _idal.DeleteProces(id);
            TempData["Alert"] = "Succes!Proces sters!";
            return RedirectToAction(nameof(Index));
        }

        // Get: Proces/SesiuniLucrate
        public IActionResult SesiuniLucrate(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sesiuni = _idal.GetSesiuniProces((int)id);
            if (sesiuni == null)
            {
                return NotFound();
            }
            return View(sesiuni);
        }
        //Create Sesiune Noua
        public IActionResult CreateSesiune()
        {
            return View(new SesiuneLucruViewModel(_idal.GetProcese()));
        }
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> CreateSesiune(SesiuneLucruViewModel viewModel, IFormCollection form)
        {
            try
            {
                _idal.CreateSesiune(form);
                TempData["Alert"] = "Succes! Sesiune introdusă pentru procesul: " + form["Proces"];
                return RedirectToAction("Index");
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred" + ex.Message;
                return View(viewModel);
            }
        }
        public IActionResult SesiuneDetails(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sesiuneLucru = _idal.GetSesiune((int)id);
            if (sesiuneLucru == null)
            {
                return NotFound();
            }

            return View(sesiuneLucru);
        }

        public IActionResult EditSesiune(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sesiuneLucru = _idal.GetSesiune((int)id);
            if (sesiuneLucru == null)
            {
                return NotFound();
            }
            var vm = new SesiuneLucruViewModel(sesiuneLucru, _idal.GetProcese());
            return View(vm);
        }

        // POST: SesiuniLucru/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> EditSesiune(int id, IFormCollection form)
        {
            try
            {
                _idal.UpdateSesiune(form);
                TempData["Alert"] = "Succes! Date modificate pentru sesiunea de lucru!: "; /*+ form["Eveniment.Nume"];*/
                return RedirectToAction(nameof(Index));
            }
            catch (Exception ex)
            {
                ViewData["Alert"] = "An error occurred: " + ex.Message;
                var vm = new SesiuneLucruViewModel(_idal.GetSesiune(id), _idal.GetProcese());
                return View(vm);
            }
        }
        public IActionResult DeleteSesiune(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sesiuneLucru = _idal.GetSesiune((int)id);
            if (sesiuneLucru == null)
            {
                return NotFound();
            }

            return View(sesiuneLucru);
        }

        // POST: SesiuniLucru/Delete/5
        [HttpPost, ActionName("DeleteSesiune")]
        [ValidateAntiForgeryToken]
        public IActionResult DeleteSesiuneConfirmed(int id)
        {
            _idal.DeleteSesiune(id);
            TempData["Alert"] = "Sesiunea de Lucru ştearsă!";
            return RedirectToAction(nameof(Index));
        }

    }
}

LicentaSfranciog/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - LicentaSfranciog</title>
   @* Adding new bootstrap Theme*@
    <link rel="stylesheet" href="~/css/bootswatchSandstoneTheme.css" />
    @*Adding Calendar Scripts*@
    <link rel="stylesheet" href="~/css/main.css" />

    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/LicentaSfranciog.styles.css" asp-append-version="true" />
</head>
<body>
    <header>

        <nav class="navbar navbar-expand-lg bg-primary" data-bs-theme="dark">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">Proiect Sfranciog</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarColor01">
                    <ul class="navbar-nav me-auto">
                        
                        <li class="nav-item">
                            <a class="nav-link " asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link " asp-area="" asp-controller="Clienti" asp-action="Index">Clienti</a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link " asp-area="" asp-controller="Procese" asp-action="Index">Procese</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link " asp-area="" asp-controller="Termene" asp-action="Index">Termene</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link " asp-area="" asp-controller="Rapoarte" asp-action="Index">Rapoarte</a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link " asp-area="" asp-controller="Home" asp-action="Privacy">Agendă</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link " asp-area="" asp-controller="Contact" asp-action="Create">Contact</a>
                        </li>
                        @*!dropdown and search if needed!*@
                        @*<li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Dropdown</a>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="#">Action</a>
                                <a class="dropdown-item" href="#">Another action</a>
                                <a class="dropdown-item" href="#">Something else here</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#">Separated link</a>
                            </div>
                        </li>                    
                    <form class="d-flex">
                        <input class="form-control me-sm-2" type="search" placeholder="Search">
                        <button class="btn btn-secondary my-2 my-sm-0" type="submit" fdprocessedid="60dv9o">Search</button>
                    </form>*@
                    </ul>
                    @*Adding "Registration" and "Login"*@
                    <partial name="_LoginPartial" />
                </div>
            </div>
        </nav>

    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2023 - LicentaSfranciog - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    @*Adding new JavaScript for new bootstrap Theme*@
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    @*Adding Calendar Scripts*@
    <script src="~/js/main.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>